import { http } from "@/utils/http";
import { baseUri } from "@/api/utils";
import { data } from "autoprefixer";

// 获取当前登陆用户信息
export const getUser = () => {
  return http.request<any>("get", baseUri("/user"));
};

// 获取用户列表
export const userList = (params?: object) => {
  return http.request("get", baseUri("/user/list"), { params });
};

// 切换用户状态
export const changeUserStatus = (data?: object) => {
  return http.request("put", baseUri("/user/change-status"), { data });
};

// 新增/编辑用户信息
export const editUser = (data?: object) => {
  return http.request("post", baseUri("/user/save"), { data });
};

// 删除管理员
export const deleteUser = (userId: string) => {
  return http.request("delete", baseUri("/user/delete/" + userId));
};

// 修改密码
export const changePassword = (data?: object) => {
  return http.request("post", baseUri("/user/change-password"), { data });
};

// 生成头像
export const generateAvatar = () => {
  return http.request<any>("post", baseUri("/user/change-avatar"));
};
